package com.ms.dal.mapper;

import com.ms.dal.entity.LogisticsMatchRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.LogisticsMatchRule
 */
@Mapper
public interface LogisticsMatchRuleMapper {

    int deleteByPrimaryKey(Long id);

    int insert(LogisticsMatchRule record);

    int insertOrUpdate(LogisticsMatchRule  record);

    int insertSelective(LogisticsMatchRule record);

    LogisticsMatchRule selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(LogisticsMatchRule record);

    int updateByPrimaryKey(LogisticsMatchRule record);

    List<LogisticsMatchRule> getListByPlatform(@Param("platform") String platform);
}
